import { _decorator, Component, Node } from "cc";
const { ccclass, property } = _decorator;

import * as cc from "cc";
/**
 * Predefined variables
 * Name = NewComponent001
 * DateTime = Tue Sep 14 2021 17:28:25 GMT+0800 (中国标准时间)
 * Author = Muzzik1999
 * FileBasename = NewComponent-001.ts
 * FileBasenameNoExtension = NewComponent-001
 * URL = db://assets/NewComponent-001.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */

@ccclass("NewComponent001")
export class NewComponent001 extends Component {
	// [1]
	// dummy = '';

	// [2]
	// @property
	// serializableDummy = 0;

	public start() {
		let Collider = this.getComponent(cc.Collider);
		Collider.on("onTriggerStay", this.onTrigger, this);
	}

	private onTrigger(event: cc.ITriggerEvent) {
		console.log("改变分组");
		let rigbody = event.otherCollider.node.getComponent(cc.RigidBody);
		rigbody.group = cc.PhysicsSystem.PhysicsGroup.DEFAULT;
		event.otherCollider.setGroup(cc.PhysicsSystem.PhysicsGroup.DEFAULT);
	}

	// update (deltaTime: number) {
	//     // [4]
	// }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
