import { _decorator, Component, Node } from "cc";
const { ccclass, property } = _decorator;
import * as cc from "cc";
/**
 * Predefined variables
 * Name = NewComponent
 * DateTime = Tue Sep 14 2021 17:14:26 GMT+0800 (中国标准时间)
 * Author = Muzzik1999
 * FileBasename = NewComponent.ts
 * FileBasenameNoExtension = NewComponent
 * URL = db://assets/NewComponent.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */

@ccclass("NewComponent")
export class NewComponent extends Component {
	// [1]
	// dummy = '';

	// [2]
	// @property
	// serializableDummy = 0;
	start() {
		// [3]
		let rigidbody = this.node.getComponent(cc.RigidBody);
		setTimeout(() => {
			rigidbody.useGravity = true;
			// setTimeout(() => {
			// 	rigidbody.group = cc.PhysicsSystem.PhysicsGroup["test1"];
			// }, 1000);
		}, 1000);
	}

	// update (deltaTime: number) {
	//     // [4]
	// }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
